﻿
@{
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="~/ADMIN/JS/moment.js"></script>
    <script src="~/ADMIN/JS/moment-jalaali.js"></script>


}
<style>

    .mybadge {
        background-color: #3f51b5;
        padding: 2px 10px;
        border-radius: 10px;
        color: #FFF;
    }

    body{
        font-family:sans-serif !important;
    }
</style>

@Html.Partial("CategoryTreeview", "CategoryID")
<div class="wrapper-grid">

    <input type="hidden" id="Current_ArticleId" value="" />
    <input type="hidden" id="Current_ArticleDetail" value="" />

    <div class="k-rtl">
        @(Html.Kendo().Grid<Contract>()
               .Name("grid")
               .Events(e => e.DataBound("DataBound"))
               .Events(e => e.Edit("Edit"))
               .Events(e => e.DetailExpand("DetailExpand"))
               .Columns(columns =>
               {
                   columns.Bound(c => c.Name);
                   columns.Bound(c => c.Type);
                    columns.Bound(c => c.Banner).ClientTemplate(
                           "<img src='" + Url.Content("/Uploads/ContractBanner/") + "#=Banner#' alt='#=Banner#' Title='#=Banner#'  width='90'/>").Width(100);


                   columns.Bound(p => p.Price).ClientTemplate(

                            "# if (Price == 0 || Price == null) { #" +
                               "رایگان" +
                             "# } else { #" +
                                   "#=kendo.toString(Price , '\\#\\#,\\# تومان')#" +
                             "# } #"
                           );


                   columns.Bound(p => p.Discount).ClientTemplate(

                            "# if (Discount == 0 || Discount == null) { #" +
                               "0" +
                             "# } else { #" +
                                   "#=kendo.toString(Discount , '\\#\\#,\\# تومان')#" +
                             "# } #"
                           );
                   columns.Bound(c => c.Time).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" }).Title("تاریخ ثبت");
                   columns.Bound(c => c.IsVisible);
                   columns.Bound(c => c.Order);
                   columns.Bound(c => c.QuestionCount).ClientTemplate(
                            "# if (QuestionCount > 0) { #" +
                        "<span class='mybadge'>#=QuestionCount#</span>" +
                    "# }#"
                  ).Title(" ").Width(100).Filterable(false);
                   //columns.Bound(c => c.Description);
                   columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);
               })
              .ToolBar(toolbar =>
              {
                  toolbar.Create().Text("افزودن قرارداد");
              })
              .Groupable()
              .ColumnMenu()
              .ClientDetailTemplateId("Articles")
              .Editable(editable =>
              {
                  editable.Mode(GridEditMode.PopUp).Window(q => q.Width(700));
                  editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
              }
              )
              .Pageable(pageable => pageable
                   .Refresh(true)
                   .PageSizes(true)
                   .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                   .PageSizes(new int[] { 10, 20, 30 }))
              .Navigatable()
              .Selectable(selectable =>
              {
                  selectable.Mode(GridSelectionMode.Single);
                  selectable.Type(GridSelectionType.Row);
              })
              .Sortable(sortable =>
              {
                  sortable.SortMode(GridSortMode.SingleColumn);
              })
              .Filterable()
                .Scrollable(s => s.Height("auto").Enabled(false))
              .DataSource(dataSource => dataSource
                  .Ajax()
                  .Sort(sort => sort.Add("ContractID").Descending())
                  .Model(model => model.Id(p => p.ContractID))
                  .Read(read => read.Action("Contracts_Read", "Contract"))
                  .Create(create => create.Action("Contracts_Create", "Contract", new { area = "Admin" }).Data("ADData"))
                  .Update(update => update.Action("Contracts_Update", "Contract", new { area = "Admin" }).Data("ADData"))
                  .Destroy(destroy => destroy.Action("Contracts_Destroy", "Contract"))
              )
        )
    </div>
</div>

<script id="Articles" type="text/kendo-tmpl">
    @(Html.Kendo().TabStrip()
                .Name("tabStrip_#=ContractID#")
                .SelectedIndex(2)
                .TabPosition(TabStripTabPosition.Top)
                .Animation(animation => animation.Open(open => open.Fade(FadeDirection.In)))
                .Items(items =>
                {
                    #region کامنت ها
                    items.Add().Text("FAQ").Content(
                        @<text>
                            @(Html.Kendo().Grid<LawMingo.Models.DomainModel.Comment>()
                                .Name("Coments_#=ContractID#")
                                .Columns(columns =>
                                {
                                    columns.Bound(c => c.Author);
                                    columns.Bound(c => c.AuthorEmail);

                                    //columns.Bound(c => c.Time).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" }).Title("تاریخ ثبت");
                                    columns.Bound(c => c.Content);
                                    columns.Command(command =>
                                    {
                                        command.Destroy().Text("حذف"); command.Custom("activeComment").Click("activeComment").Text("انتشار");
                                        command.Custom("readComment").Click("readComment").Text("خوانده شد");
                                    }).Width(300);
                                })
                                .ToolBar(toolbar =>
                                {
                                    toolbar.Create().Text("پرسش جدید");
                                })
                                .Events(ev => ev.DataBound("CommentsBound").Edit("CommentEdit"))
                                .ColumnMenu()
                                .Editable(editable => editable.Mode(GridEditMode.PopUp).Window(q => q.Width(800)))
                                .Pageable(pageable =>
                                    pageable
                                    .Refresh(true)
                                    .Input(true)
                                    .PageSizes(true)
                                    .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                )
                                .Navigatable()
                                .Selectable(selectable =>
                                {
                                    selectable.Mode(GridSelectionMode.Single);
                                    selectable.Type(GridSelectionType.Row);
                                })
                                .Sortable(sortable =>
                                {
                                    sortable.SortMode(GridSortMode.SingleColumn);
                                })
                                .Filterable()
                                .Scrollable(s => s.Height("auto").Enabled(false))
                                .DataSource(dataSource => dataSource
                                    .Ajax()
                                    .Model(model => model.Id(p => p.CommentID))
                                    .Read(read => read.Action("Comments_Read", "Comments", new { _ContractID = "#=ContractID#" }))
                                    .Create(create => create.Action("Comments_Create", "Comments", new { _ContractID = "#=ContractID#" }))
                                    .Update(update => update.Action("Comments_Update", "Comments"))
                                    .Destroy(destroy => destroy.Action("Comments_Destroy", "Comments"))
                                )
                                .ClientDetailTemplateId("CommentAnswers-Template")
                                .ToClientTemplate()
                            )
                        </text>
                             );
                    #endregion
                    #region مواد
                    items.Add().Text("مواد").Content(
                      @<text>
                        <div class="k-rtl">
                            @(Html.Kendo().Grid<Article>()
                                .Name("Article_#=ContractID#")
                                .Events(e => e.Edit("Edit_Article"))
                                .Events(e => e.DetailExpand("DetailExpand_Articles"))
                                .Columns(columns =>
                                 {

                                     columns.Bound(c => c.ArticleID).Title("شناسه");
                                     columns.Bound(c => c.Name);
                                     columns.Bound(c => c.Order);
                                     columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(180);
                                 })
                                .ToolBar(toolbar =>
                                {
                                    toolbar.Create().Text("افزودن ماده");
                                })
                                .ColumnMenu()
                                .Editable(editable =>
                                {
                                    editable.Mode(GridEditMode.PopUp).Window(w => w.Width(450));
                                    editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
                                })
                                 .Pageable(pageable => pageable
                                     .Refresh(true)
                                     .PageSizes(true)
                                     .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                     .PageSizes(new int[] { 10, 20, 30 }))

                                .Navigatable()
                                .Groupable()
                                .Selectable(selectable =>
                                {
                                    selectable.Mode(GridSelectionMode.Single);
                                    selectable.Type(GridSelectionType.Row);
                                })
                                .Sortable(sortable =>
                                {
                                    sortable.SortMode(GridSortMode.SingleColumn);
                                })
                                .ClientDetailTemplateId("Details-Template")
                                .Filterable()
                                .Scrollable(s => s.Height("auto").Enabled(false))
                                .DataSource(dataSource => dataSource
                                    .Ajax()
                                    .Sort(sort => sort.Add("Order").Ascending())
                                    .Model(model => model.Id(p => p.ArticleID))
                                    .Read(read => read.Action("Articles_Read", "Article", new { CI = "#=ContractID#" }))
                                    .Create(create => create.Action("Articles_Create", "Article", new { CI = "#=ContractID#" }))
                                    .Update(update => update.Action("Articles_Update", "Article", new { CI = "#=ContractID#" }))
                                    .Destroy(destroy => destroy.Action("Articles_Destroy", "Article"))
                                ).ToClientTemplate()
                            )
                        </div>
                    </text>
                    );
                    #endregion


                    items.Add().Text("گروه‌ها").Content(
                     @<text>
                       <div class="k-rtl">
                              @(Html.Kendo().Grid<CategoryAttach>()
                                 .Name("CategoryAttach_#=ContractID#")
                                 .Events(e => e.Edit("Edit_CategoryAttach"))
                                 .Columns(columns =>
                                 {

                                     columns.ForeignKey(p => p.CategoryID, (System.Collections.IEnumerable)ViewData["Categories"], "CategoryID", "Name").Title("گروه");

                                     columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);
                                 })
                                .ToolBar(toolbar =>
                                {
                                    toolbar.Create().Text("افزودن گروه");
                                })
                                .Groupable()
                                .ColumnMenu()

                                .Editable(editable =>
                                {
                                    editable.Mode(GridEditMode.PopUp).Window(q => q.Width(700));
                                    editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
                                }
                                )
                                .Pageable(pageable => pageable
                                     .Refresh(true)
                                     .PageSizes(true)
                                     .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                     .PageSizes(new int[] { 10, 20, 30 }))
                                .Navigatable()
                                .Selectable(selectable =>
                                {
                                    selectable.Mode(GridSelectionMode.Single);
                                    selectable.Type(GridSelectionType.Row);
                                })
                                .Sortable(sortable =>
                                {
                                    sortable.SortMode(GridSortMode.SingleColumn);
                                })
                                .Filterable()
                                .Scrollable(s => s.Height("auto").Enabled(false))
                                .DataSource(dataSource => dataSource
                                    .Ajax()
                                    .Sort(sort => sort.Add("CategoryAttachID").Descending())
                                    .Model(model => model.Id(p => p.CategoryAttachID))
                                    .Read(read => read.Action("CategoryAttach_Read", "CategoryAttach" , new { CI = "#=ContractID#" }))
                                    .Create(create => create.Action("CategoryAttach_Create", "CategoryAttach" , new { CI = "#=ContractID#" }))
                                    .Update(update => update.Action("CategoryAttach_Update", "CategoryAttach"))
                                    .Destroy(destroy => destroy.Action("CategoryAttach_Destroy", "CategoryAttach"))

                                ).ToClientTemplate()
                              )
                         </div>
                    </text>
                    );



                }).ToClientTemplate())

</script>

<script id="Details-Template" type="text/kendo-tmpl">
    <div class="wrapper-grid">
        <div class="">

            @(Html.Kendo().Grid<Question>()

              .Name("grid_#=ArticleID#")
              .Events(e => e.Edit("Edit_Question"))
              .Events(e => e.DataBound("DataBound_Question"))
              .Columns(columns =>
              {
                  columns.Bound(c => c.QuestionID).Title("شناسه");
                  columns.Bound(c => c.MyQuestion);
                  columns.Bound(c => c.End);
                  columns.Bound(c => c.CheckBox);
                  columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(180);
              })
              .ToolBar(toolbar =>
              {
                  toolbar.Create().Text("افزودن سوال");
              })
              .ColumnMenu()
              .Editable(editable =>
              {
                  editable.Mode(GridEditMode.PopUp).Window(w => w.Width(450));
                  editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");

              })
              .Pageable(pageable => pageable
                   .Refresh(true)
                   .PageSizes(true)
                   .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                   .PageSizes(new int[] { 10, 20, 30 }))
              .Navigatable()
              .Selectable(selectable =>
              {
                  selectable.Mode(GridSelectionMode.Single);
                  selectable.Type(GridSelectionType.Row);
              })
              .Sortable(sortable =>
              {
                  sortable.SortMode(GridSortMode.SingleColumn);
              })
              .Filterable()
              .ClientDetailTemplateId("Answers")
              .Scrollable(s => s.Height("auto").Enabled(false))
              .DataSource(dataSource => dataSource
                  .Ajax()
                  //.Sort(sort => sort.Add("QuestionID").Descending())
                  .Model(model => model.Id(p => p.QuestionID))
                  .Read(read => read.Action("Questions_Read", "Question", new { AI = "#=ArticleID#" }))
                  .Create(create => create.Action("Questions_Create", "Question", new { AI = "#=ArticleID#" }))
                  .Update(update => update.Action("Questions_Update", "Question", new { AI = "#=ArticleID#" }))
                  .Destroy(destroy => destroy.Action("Questions_Destroy", "Question"))
              )
              .ToClientTemplate()
            )

        </div>
    </div>
</script>

<script id="Answers" type="text/kendo-tmpl">

    @(Html.Kendo().TabStrip()
                           .Name("tabStrip_#=QuestionID#")
                           .SelectedIndex(0)
                           .Events(q => q.Select("SelectTab"))
                           .Animation(animation => animation.Open(open => open.Fade(FadeDirection.In)))
                           .Items(items =>
                           {
                               items.Add().Text("پاسخ").Content(
                                @<text>
                                    <div class="wrapper-grid">
                                        <div class="k-rtl">
                                            @(Html.Kendo().Grid<Answer>()
                                                    .Name("Answer_#=QuestionID#")
                                                    .Events(e => e.Edit("Edit_Answer"))
                                                    .Events(e => e.DetailExpand("DetailExpand_Answer"))
                                                    .Columns(columns =>
                                                    {

                                                        columns.Bound(c => c.AnswerID).Title("شناسه");
                                                        columns.Bound(c => c.MyAnswer).Title("پاسخ");
                                                        columns.Bound(c => c.EnglishAnswer).Title("انگلیسی");

                                                        columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(180);
                                                    })
                                                    .ToolBar(toolbar =>
                                                    {
                                                        toolbar.Create().Text("افزودن جواب");
                                                    })
                                                    .ColumnMenu()
                                                    .Editable(editable =>
                                                    {
                                                        editable.Mode(GridEditMode.PopUp).Window(w => w.Width(450));
                                                        editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");

                                                    })
                                                    .Pageable(pageable => pageable
                                                    .Refresh(true)
                                                    .PageSizes(true)
                                                    .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                                    .PageSizes(new int[] { 10, 20, 30 }))
                                                    .Navigatable()
                                                    .Scrollable(s => s.Height("auto").Enabled(false))
                                                    .Selectable(selectable =>
                                                    {
                                                        selectable.Mode(GridSelectionMode.Single);
                                                        selectable.Type(GridSelectionType.Row);
                                                    })
                                                    .Sortable(sortable =>
                                                    {
                                                        sortable.SortMode(GridSortMode.SingleColumn);
                                                    })
                                                    .Filterable()
                                                    .Scrollable()
                                                    .ClientDetailTemplateId("ArticleDetail")
                                                    .DataSource(dataSource => dataSource
                                                    .Ajax()
                                                    .Sort(sort => sort.Add("AnswerID").Descending())
                                                    .Model(model => model.Id(p => p.AnswerID))
                                                    .Read(read => read.Action("Answers_Read", "Answer", new { QU = "#=QuestionID#" }))
                                                    .Create(create => create.Action("Answers_Create", "Answer", new { QU = "#=QuestionID#" }))
                                                    .Update(update => update.Action("Answers_Update", "Answer"))
                                                    .Destroy(destroy => destroy.Action("Answers_Destroy", "Answer"))
                                                    )
                                                    .ToClientTemplate()
                                            )

                                        </div>
                                    </div>
                                </text>
 );

 items.Add().Text("راهنما").Content(

                                           @<text>
                                              <div class="wrapper-grid">
                                               <div class="k-rtl">
                                                   @(Html.Kendo().Grid<Help>()
                                                                      .Name("Help_#=QuestionID#")
                                                                      .Events(e => e.Edit("Edit_Help"))

                                                                      .Columns(columns =>
                                                                      {

                                                                          columns.Bound(c => c.HelpID).Title("شناسه");
                                                                          columns.Bound(c => c.Content).Title("متن");
                                                                          columns.Bound(c => c.Like).Title("مفید");
                                                                          columns.Bound(c => c.DisLike).Title("بی فایده");
                                                                          columns.Bound(c => c.Visible).Title("قابل مشاهده");

                                                                          columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(180);
                                                                      })
                                                                      .ToolBar(toolbar =>
                                                                      {
                                                                          toolbar.Create().Text("افزودن راهنما");
                                                                      })
                                                                      .ColumnMenu()
                                                                      .Editable(editable =>
                                                                      {
                                                                          editable.Mode(GridEditMode.PopUp).Window(w => w.Width(450));
                                                                          editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");

                                                                      })
                                                                       .Pageable(pageable => pageable
                                                                       .Refresh(true)
                                                                       .PageSizes(true)
                                                                       .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                                                       .PageSizes(new int[] { 10, 20, 30 }))
                                                                       .Navigatable()
                                                                       .Scrollable(s => s.Height("auto").Enabled(false))
                                                                       .Selectable(selectable =>
                                                                       {
                                                                           selectable.Mode(GridSelectionMode.Single);
                                                                           selectable.Type(GridSelectionType.Row);
                                                                       })
                                                                      .Sortable(sortable =>
                                                                      {
                                                                          sortable.SortMode(GridSortMode.SingleColumn);
                                                                      })
                                                                      .Filterable()
                                                                      .Scrollable()

                                                                      .DataSource(dataSource => dataSource
                                                                      .Ajax()
                                                                      .Sort(sort => sort.Add("HelpID").Descending())
                                                                      .Model(model => model.Id(p => p.HelpID))
                                                                      .Read(read => read.Action("Helps_Read", "Help", new { QI = "#=QuestionID#" }))
                                                                      .Create(create => create.Action("Helps_Create", "Help", new { QI = "#=QuestionID#" }))
                                                                      .Update(update => update.Action("Helps_Update", "Help"))
                                                                      .Destroy(destroy => destroy.Action("Helps_Destroy", "Help"))
                                                                      )
                                                                      .ToClientTemplate()
                                                   )

                                               </div>
                                                                                         </div>
                                           </text>
                                                 );


                                                 })

                                                 .ToClientTemplate()
    )





</script>

<script id="ArticleDetail" type="text/kendo-tmpl">

    @(Html.Kendo().TabStrip()
                            .Name("tabStrip_#=AnswerID#")
                            .SelectedIndex(0)
                            .Events(q => q.Select("SelectTab"))
                            .Animation(animation => animation.Open(open => open.Fade(FadeDirection.In)))
                            .Items(items =>
                            {
                                items.Add().Text("بند ها").Content(
                                    @<text>

                                        <div class="wrapper-grid">
                                            <div class="">
                                                @(Html.Kendo().Grid<ArticleDetail>()
                                                         .Name("ArticleDetail_#=AnswerID#")
                                                         .Events(e => e.Edit("Edit_ArticleDetail"))
                                                         .Columns(columns =>
                                                         {
                                                                   columns.Bound(c => c.ArticleDetailID).Title("شناسه").Width(70);
                                                                   columns.Bound(c => c.ArticleContent).Encoded(false).Title("محتوای بند").Visible(false);
                                                                   columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(160);
                                                               })
                                                         .ToolBar(toolbar =>
                                                         {
                                                                   toolbar.Create().Text("افزودن بند");
                                                               })
                                                         .ColumnMenu()
                                                         .Editable(editable =>
                                                               {
                                                                   editable.Mode(GridEditMode.PopUp).Window(q => q.Actions(r => r.Close().Maximize().Minimize()).Width(1400));
                                                                   editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
                                                               })

                                                         .Pageable(pageable => pageable
                                                              .Refresh(true)
                                                              .PageSizes(true)
                                                              .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                                              .PageSizes(new int[] { 10, 20, 30 }))
                                                         .Navigatable()
                                                         .Selectable(selectable =>
                                                         {
                                                                   selectable.Mode(GridSelectionMode.Single);
                                                                   selectable.Type(GridSelectionType.Row);
                                                               })
                                                         .Sortable(sortable =>
                                                         {
                                                                   sortable.SortMode(GridSortMode.SingleColumn);
                                                               })
                                                         .Filterable()

                                                          .Scrollable(s => s.Height("auto").Enabled(false))
                                                         .DataSource(dataSource => dataSource
                                                             .Ajax()
                                                             .Sort(sort => sort.Add("ArticleDetailID").Descending())
                                                             .Model(model => model.Id(p => p.ArticleDetailID))
                                                             .Read(read => read.Action("ArticleDetails_Read", "ArticleDetail", new { AI = "#=AnswerID#" }))
                                                             .Create(create => create.Action("ArticleDetails_Create", "ArticleDetail", new { AI = "#=AnswerID#" }).Data("ArticleDetail_Content"))
                                                             .Update(update => update.Action("ArticleDetails_Update", "ArticleDetail").Data("ArticleDetail_Content"))
                                                             .Destroy(destroy => destroy.Action("ArticleDetails_Destroy", "ArticleDetail"))
                                                         )
                                                         .ToClientTemplate()
                                                )

                                            </div>
                                        </div>
                                    </text>
                                            );

                                            items.Add().Text("ویژگی ها").Content(

                                               @<text>
                                                  <div class="wrapper-grid">
                                                                                <div class="">

                                                                                    @(Html.Kendo().Grid<ArticleProperty>()
                                                                                              .Name("Property_#=AnswerID#")
                                                                                              .Events(e => e.Edit("Edit_ArticleProperty"))
                                                                                              .Columns(columns =>
                                                                                              {
                                                                                                         columns.Bound(c => c.PropertyName);
                                                                                                         columns.Bound(c => c.EnglishName);
                                                                                                         columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(180);
                                                                                                     })
                                                                                              .ToolBar(toolbar =>
                                                                                              {
                                                                                                         toolbar.Create().Text("افزودن ویژگی");
                                                                                                     })
                                                                                              .ColumnMenu()
                                                                                              .Editable(editable =>
                                                                                                     {
                                                                                                         editable.Mode(GridEditMode.PopUp).Window(w => w.Width(450));
                                                                                                         editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
                                                                                                     })
                                                                                              .Pageable(pageable => pageable
                                                                                                   .Refresh(true)
                                                                                                   .PageSizes(true)
                                                                                                   .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                                                                                   .PageSizes(new int[] { 10, 20, 30 }))
                                                                                              .Navigatable()
                                                                                              .Selectable(selectable =>
                                                                                              {
                                                                                                         selectable.Mode(GridSelectionMode.Single);
                                                                                                         selectable.Type(GridSelectionType.Row);
                                                                                                     })
                                                                                              .Sortable(sortable =>
                                                                                              {
                                                                                                         sortable.SortMode(GridSortMode.SingleColumn);
                                                                                                     })
                                                                                              .Filterable()
                                                                                               .Scrollable(s => s.Height("auto").Enabled(false))
                                                                                              .DataSource(dataSource => dataSource
                                                                                                  .Ajax()
                                                                                                  .Sort(sort => sort.Add("ArticlePropertyID").Descending())
                                                                                                  .Model(model => model.Id(p => p.ArticlePropertyID))
                                                                                                  .Events(w => w.Error("Error"))
                                                                                                  .Read(read => read.Action("ArticleProperties_Read", "Property"))
                                                                                                  .Create(create => create.Action("ArticleProperties_Create", "Property"))
                                                                                                  .Update(update => update.Action("ArticleProperties_Update", "Property"))
                                                                                                  .Destroy(destroy => destroy.Action("ArticleProperties_Destroy", "Property"))
                                                                                              )
                                                                                              .ToClientTemplate()
                                                                                    )
                                                                                </div>
                                                                            </div>
                                               </text>
                                                 );
                                             items.Add().Text("سوال").Content(

                                                                         @<text>
                                                                            <div class="wrapper-grid">
                                                                                                                    <div class="">

                                                                                                                        @(Html.Kendo().Grid<Question>()

                                                                                                                      .Name("grid1_#=AnswerID#")
                                                                                                                      .Events(e => e.Edit("Edit_Question"))
                                                                                                                      .Columns(columns =>
                                                                                                                      {

                                                                                                                      columns.Bound(c => c.MyQuestion);
                                                                                                                      columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(180);
                                                                                                                  })
                                                                                                                      .ToolBar(toolbar =>
                                                                                                                      {
                                                                                                                      toolbar.Create().Text("افزودن سوال");
                                                                                                                  })
                                                                                                                      .ColumnMenu()
                                                                                                                      .Editable(editable =>
                                                                                                                      {
                                                                                                                      editable.Mode(GridEditMode.PopUp).Window(w => w.Width(450));
                                                                                                                      editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");

                                                                                                                  })
                                                                                                                      .Pageable(pageable => pageable
                                                                                                                           .Refresh(true)
                                                                                                                           .PageSizes(true)
                                                                                                                           .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                                                                                                           .PageSizes(new int[] { 10, 20, 30 }))
                                                                                                                      .Navigatable()
                                                                                                                      .Selectable(selectable =>
                                                                                                                      {
                                                                                                                      selectable.Mode(GridSelectionMode.Single);
                                                                                                                      selectable.Type(GridSelectionType.Row);
                                                                                                                  })
                                                                                                                      .Sortable(sortable =>
                                                                                                                      {
                                                                                                                      sortable.SortMode(GridSortMode.SingleColumn);
                                                                                                                  })
                                                                                                                      .Filterable()
                                                                                                                      .ClientDetailTemplateId("Answers")
                                                                                                                      .Scrollable(s => s.Height("auto").Enabled(false))
                                                                                                                      .DataSource(dataSource => dataSource
                                                                                                                          .Ajax()
                                                                                                                          .Sort(sort => sort.Add("QuestionID").Descending())
                                                                                                                          .Model(model => model.Id(p => p.QuestionID))
                                                                                                                          .Read(read => read.Action("Questions_Read", "Question", new { AnI = "#=AnswerID#" }).Data("SetArticle"))
                                                                                                                          .Create(create => create.Action("Questions_Create", "Question", new { AnI = "#=AnswerID#" }).Data("SetArticle"))
                                                                                                                          .Update(update => update.Action("Questions_Update", "Question", new { AnI = "#=AnswerID#" }).Data("SetArticle"))
                                                                                                                          .Destroy(destroy => destroy.Action("Questions_Destroy", "Question"))
                                                                                                                      )
                                                                                                                      .ToClientTemplate()
                                                                                                                        )

                                                                                                                    </div>
                                                                                                                </div>

                                                                         </text>
                                                                                         );

                                                                                           items.Add().Text("مواد تاثیر پذیر").Content(

                                                                                        @<text>

                                                                                                                                                   @*<div>
                                                                                                                                                        @(Html.Kendo().Grid<RelatedArticle>()
                                                                                                                                                                    .Name("RelatedArticle_#=AnswerID#")
                                                                                                                                                                    .Events(e => e.Edit("Edit_RelatedArticle"))
                                                                                                                                                                    .Columns(columns =>
                                                                                                                                                                    {

                                                                                                                                                                                   columns.ForeignKey(p => p.ArticleID, (System.Collections.IEnumerable)ViewData["Articles"], "ArticleID", "Name");
                                                                                                                                                                                   columns.ForeignKey(p => p.ArticleDetailID, (System.Collections.IEnumerable)ViewData["ArticleDetails"], "ArticleDetailID", "Content");
                                                                                                                                                                                   columns.Bound(c => c.Act);
                                                                                                                                                                                   columns.Bound(c => c.NewContent).Encoded(false);
                                                                                                                                                                                   columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(120);
                                                                                                                                                                               })
                                                                                                                                                                     .ToolBar(toolbar =>
                                                                                                                                                                     {
                                                                                                                                                                                    toolbar.Create().Text("افزودن وابستگی");
                                                                                                                                                                                })
                                                                                                                                                                    .ColumnMenu()
                                                                                                                                                                   .Editable(editable =>
                                                                                                                                                                   {
                                                                                                                                                                                  editable.Mode(GridEditMode.PopUp).Window(e => e.Width(1400));
                                                                                                                                                                                  editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");

                                                                                                                                                                              })
                                                                                                                                                                     .Pageable(pageable => pageable
                                                                                                                                                                  .Refresh(true)
                                                                                                                                                                  .PageSizes(true)
                                                                                                                                                                  .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                                                                                                                                                  .PageSizes(new int[] { 10, 20, 30 }))
                                                                                                                                                                    .Navigatable()
                                                                                                                                                                    .Selectable(selectable =>
                                                                                                                                                                    {
                                                                                                                                                                                   selectable.Mode(GridSelectionMode.Single);
                                                                                                                                                                                   selectable.Type(GridSelectionType.Row);
                                                                                                                                                                               })
                                                                                                                                                                    .Sortable(sortable =>
                                                                                                                                                                    {
                                                                                                                                                                                   sortable.SortMode(GridSortMode.SingleColumn);
                                                                                                                                                                               })
                                                                                                                                                                    .Filterable()
                                                                                                                                                                       .Scrollable(s => s.Height("auto").Enabled(false))
                                                                                                                                                                    .DataSource(dataSource => dataSource
                                                                                                                                                                        .Ajax()
                                                                                                                                                                        .Sort(sort => sort.Add("RelatedArticleID").Descending())
                                                                                                                                                                        .Model(model => model.Id(p => p.RelatedArticleID))
                                                                                                                                                                        .Read(read => read.Action("RelatedArticles_Read", "RelatedArticle", new { AnsID = "#=AnswerID#" }))
                                                                                                                                                                        .Create(create => create.Action("RelatedArticles_Create", "RelatedArticle", new { AnsID = "#=AnswerID#" }))
                                                                                                                                                                        .Update(update => update.Action("RelatedArticles_Update", "RelatedArticle"))
                                                                                                                                                                        .Destroy(destroy => destroy.Action("RelatedArticles_Destroy", "RelatedArticle"))
                                                                                                                                                                    )
                                                                                                                                                                    .ToClientTemplate()
                                                                                                                                                        )
                                                                                                                                                    </div>*@


                                                                                        </text>
                                                                                                                                                            );

                                                                                                                             })

                                                                                                                             .ToClientTemplate()
    )

</script>

<script id="CommentAnswers-Template" type="text/kendo-tmpl">
    @(Html.Kendo().Grid<LawMingo.Models.DomainModel.Comment>()
       .Name("rrrrAnswers_#=CommentID#")
       .Events(e => e.DataBound("DataBound_Answers_q"))
       .Columns(columns =>
       {
           columns.Bound(c => c.Author);
           columns.Bound(c => c.AuthorEmail);
           columns.Bound(c => c.Time).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" }).Title("تاریخ ثبت");
           columns.Bound(c => c.Content);
           columns.Command(command => { command.Destroy().Text("حذف"); }).Width(300);
       })
       .ToolBar(toolbar =>
       {
           toolbar.Create().Text("پاسخ جدید");
       }
       )
       //.Events(ev => ev.DataBound("CommentsBound").Edit("CommentEdit"))
       .ColumnMenu()
       .Editable(editable => editable.Mode(GridEditMode.PopUp).Window(q => q.Width(800)))
       .Pageable(pageable =>
           pageable
           .Refresh(true)
           .Input(true)
           .PageSizes(true)
           .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
       )
       .Navigatable()
       .Selectable(selectable =>
       {
           selectable.Mode(GridSelectionMode.Single);
           selectable.Type(GridSelectionType.Row);
       })
       .Sortable(sortable =>
       {
           sortable.SortMode(GridSortMode.SingleColumn);
       })
       .Filterable()
       .Scrollable(s => s.Height("auto").Enabled(false))
       .DataSource(dataSource => dataSource
           .Ajax()
           .Model(model => model.Id(p => p.CommentID))
           .Read(read => read.Action("Comments_Read", "Comments", new { _CommentID = "#=CommentID#", _ContractID = "#=PostID#" }))
           .Create(create => create.Action("Comments_Create", "Comments", new { _CommentID = "#=CommentID#", _ContractID = "#=PostID#" }))
           .Update(update => update.Action("Comments_Update", "Comments", new { _CommentID = "#=CommentID#", _ContractID = "#=PostID#" }))
           .Destroy(destroy => destroy.Action("Comments_Destroy", "Comments"))
       )
       .ToClientTemplate()
    )

</script>

<script>
    function ADData() {
        return {
            Desc: $("textarea#Description_Description").val()
        }
    }

</script>
<script>

    function activeComment(e) {
        e.preventDefault();
        var dataItem = this.dataItem($(e.currentTarget).closest("tr"));
        var ret = $.ajax({
            type: "POST",
            url: "/admin/comments/active",
            data: { id: dataItem.CommentID },
            dataType: "json",
            complete: function (response) {
                var msg = response ? "منتشر شد" : "عدم انتشار";
                var grid = $(e.delegateTarget).data("kendoGrid");
                grid.refresh();
                alert(msg);
            }
        });
    }

    function readComment(e) {
        e.preventDefault();
        var dataItem = this.dataItem($(e.currentTarget).closest("tr"));
        var ret = $.ajax({
            type: "POST",
            url: "/admin/comments/read",
            data: { id: dataItem.CommentID },
            dataType: "json",
            complete: function (response) {
                //var msg = response ? "خوانده شد" : "عدم انتشار";
                //var grid = $(e.delegateTarget).data("kendoGrid");
                //grid.refresh();
                alert('خوانده شد');
            }
        });
    }

    function CommentEdit(e) {
        $(e.container["0"].firstChild.children[2]).hide();
        $(e.container["0"].firstChild.children[3]).hide();
        $(e.container["0"].firstChild.children[4]).hide();
        $(e.container["0"].firstChild.children[5]).hide();
        $(e.container["0"].firstChild.children[6]).hide();
        $(e.container["0"].firstChild.children[7]).hide();
    }
    function CommentsBound(e) {
        var grid = this;
        var data = e.sender.dataSource.data();
        console.log(grid)
        $.each(data, function (i, row) {
            console.log(row)
            if (!row.IsActive) {
                $('tr[data-uid="' + row.uid + '"] ').css("background-color", "#ffebeb");
            }
            if (!row.IsRead) {

                $('tr[data-uid="' + row.uid + '"] ').css("font-weight", "bold");
            }
        });

        //grid.tbody.find("tr[role='row']").each(function (index, value) {
        //    var model = grid.dataItem(this);
        //    $(this).find('td').each(function (index, value) {
        //        if ($(this).text().includes(":") && $(this).text().includes("GMT")) {
        //            var result = moment($(this).text(), 'YYYY-M-D HH:mm:ss')
        //                .format('jYYYY/jM/jDD HH:mm:ss')
        //            result = result.replace(' ', '\n');
        //            $(this).text(result)
        //        }
        //    })
        //});
    }
    function showDialog_CategoryID() {
        $('#categoryselectdialog_CategoryID').data("kendoDialog").open();
    }
    function DataBound(e) {
        var grid = this;
        grid.tbody.find("tr[role='row']").each(function (index, value) {
            var model = grid.dataItem(this);

            //if (model.IsVisible) $(this).find("td:nth-child(9)").html('<i style= "color:green;vertical-align:middle;" class="material-icons">check_circle</i>')
            //else {
            //    $(this).find("td:nth-child(9)").html('<i style= "color:red;vertical-align:middle;" class="material-icons">cancel</i>')
            //}



            grid.tbody.find("tr[role='row']").each(function (index, value) {
                var model = grid.dataItem(this);
                $(this).find('td').each(function (index, value) {
                    if ($(this).text().includes(":") && $(this).text().includes("-")) {
                        var result = moment($(this).text(), 'YYYY-M-D HH:mm:ss')
                            .format('jYYYY/jM/jDD HH:mm:ss')
                        result = result.replace(' ', '\n');
                        $(this).text(result)
                    }
                })
            });
        });

    }
    function Edit(e) {

        $("body").on("click", "[role='row']", function (e) {
            var grid = $("#grid").getKendoGrid(e);
            var item = grid.dataItem($(e.target).closest("tr"))

            console.log(item)
            var editor = $("#Description_Description").data("kendoEditor");
            console.log(editor)
            editor.value(item.Description);
        });

        //$(e.container["0"].firstChild.children[0]).hide();
        //$(e.container["0"].firstChild.children[1]).hide();
        ////$(e.container["0"].firstChild.children[12]).hide();
        ////$(e.container["0"].firstChild.children[13]).hide();
        //$(e.container["0"].firstChild.children[14]).hide();
        //$(e.container["0"].firstChild.children[15]).hide();
        //$(e.container["0"].firstChild.children[24]).hide();
        //$(e.container["0"].firstChild.children[25]).hide();
        //$(e.container["0"].firstChild.children[26]).hide();
        //$(e.container["0"].firstChild.children[27]).hide();
        //$(e.container["0"].firstChild.children[30]).hide();
        //$(e.container["0"].firstChild.children[31]).hide();
        //$(e.container["0"].firstChild.children[34]).hide();
        //$(e.container["0"].firstChild.children[35]).hide();



        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن قرارداد"
            });
        } else {
            kendoWindow.setOptions({
                title: "ویرایش قرارداد"
            });
        }

        $('iframe').contents().find("head")
            .append($("<style>@@font-face {font-family: 'YekanNumber';font-weight: 500;src: url('../../../../font/IRANSansWebFaNum_Medium.woff') format('woff');}  @@font-face {font-family: IRANSans;font-style: normal;font-weight: 100;src:  url('../../../../fonts/woff/IRANSansWeb_Medium.woff') format('woff');}  body{font-family:YekanNumber,IRANSans !important; font-size: 13px !important; line-height: 1.5;text-align: justify;padding: 4px 8px 4px 8px;} body p span{font-size: 16px !important;}</style>"));


    }

    function Edit_Article(e) {

        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
        $(e.container["0"].firstChild.children[2]).hide();
        $(e.container["0"].firstChild.children[3]).hide();

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن ماده"
            });
        } else {
            kendoWindow.setOptions({
                title: "ویرایش ماده"
            });
        }
    }
    function DetailExpand_Articles(e) {

        console.log(e)
        $("#Current_ArticleId").val($(e.masterRow[0]).find("td:nth-child(2)").text()).trigger('change');
        console.log($("#Current_ArticleId").val())
        this.collapseRow(this.tbody.find(' > tr.k-master-row').not(e.masterRow));

    }
    function DetailExpand(e) {
        this.collapseRow(this.tbody.find(' > tr.k-master-row').not(e.masterRow));

    }
    function SetCheckBox(e) {

        if (typeof $(e).attr('checked') !== typeof undefined) {
            $(e).removeAttr('checked');
            for (var i = 0, len = sessionStorage.length; i < len; ++i) {
                if (sessionStorage.getItem("Article-" + $(e).val()) != null) {
                    sessionStorage.removeItem("Article-" + $(e).val())
                }
            }
        }
        else {
            $(e).attr('checked', ' ')
            sessionStorage.setItem("Article-" + $(e).val(), $(e).val());
        }

    }
    function clearSession() {
        sessionStorage.clear();
        $("#grid-Article tbody input:checkbox").prop("checked", "");
    }
    function Edit_ArticleDetail(e) {

        console.log(e.model.ArticleContent)
        console.log(e.model.ArticleContent)

        var editor = $("#ArticleContent_ArticleContent").data("kendoEditor");

        editor.value(e.model.ArticleContent);

        //$('iframe').contents().find("head")
        //    .append($("<style>@@font-face {font-family: 'YekanNumber';font-weight: 500;src: url('../../../../font/IRANSansWebFaNum_Medium.woff') format('woff');}  @@font-face {font-family: IRANSans;font-style: normal;font-weight: 100;src:  url('../../../../fonts/woff/IRANSansWeb_Medium.woff') format('woff');}  body{font-family:YekanNumber,IRANSans !important; font-size: 13px !important; line-height: 1.5;text-align: justify;padding: 20px 15px;} body p span{font-size: 16px !important;} body input{font-size: 12px !important;font-family:YekanNumber,IRANSans !important;border:1px solid #ccc;padding-right: 10px;margin-right: 5px;margin-left: 8px;margin-bottom: 15px;padding-top: 3px;padding-bottom: 3px;border-radius: 15px;outline: none;</style>"));


        $('iframe').contents().find("head")
            .append($("<style> body{font-size: 14px !important; line-height: 1.5;text-align: justify;padding: 14px 18px;overflow: hidden; direction: ltr;} body p span{font-size: 16px !important;direction: ltr;} body input{direction: ltr;font-size: 14px !important;padding-right:5px;text-align: center;border: 1px solid #ccc;border-radius: 20px;margin-right: 5px;margin-left: 5px;height: 27px;}</style>"));


        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
        $(e.container["0"].firstChild.children[2]).hide();
        $(e.container["0"].firstChild.children[3]).hide();
        $(e.container["0"].firstChild.children[6]).hide();
        $(e.container["0"].firstChild.children[7]).hide();
        $(e.container["0"].firstChild.children[8]).hide();
        $(e.container["0"].firstChild.children[9]).hide();
        $(e.container["0"].firstChild.children[10]).addClass("WIth");

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن بند"
            });
        } else {
            kendoWindow.setOptions({
                title: "ویرایش بند"
            });

            //$("#ArticleID").val($("#Current_ArticleId").val()).trigger('change');
            $("#ArticleDetailID").val(e.model.ArticleDetailID).trigger('change');
        }

    }
    function Preview(e) {

        if (sessionStorage.length == 0) alert("عدم انتخاب ماده !")
        else {

            var SelectedArticle = [];
            for (var i = 0, len = sessionStorage.length; i < len; ++i) {

                SelectedArticle.push(sessionStorage.getItem(sessionStorage.key(i)));
            }

            $.ajax({
                url: '/Admin/Contract/Preview',
                data: {
                    Articles: SelectedArticle
                },
                type: 'POST',
                dataType: 'json',
                success: function (res) {
                    $("#wrapper-Contract p").remove();
                    $("#wrapper-Contract h5").remove();
                    for (var i = 0; i < res.Articles.length; i++) {

                        i == 0 ?
                            $("#wrapper-Contract").append(
                                "<h5 style='font-weight: bold;'> ماده " + res.Articles[0].Article.Name + "</h5>" +
                                "<p>" + res.Articles[0].Content + "</p>"

                            ) :

                            res.Articles[i].Article.ArticleID != res.Articles[i - 1].Article.ArticleID ?

                                $("#wrapper-Contract").append(
                                    "<h5 style='font-weight: bold;'> ماده " + res.Articles[i].Article.Name + "</h5>" +
                                    "<p>" + res.Articles[i].Content + "</p>"
                                )
                                : $("#wrapper-Contract").append("<p>" + res.Articles[i].Content + "</p>")
                    }

                    $('#Contract_Preview').modal({
                        dismissible: true,
                    });

                    //var gridProductExi = $("#Product-grid").data("kendoGrid");
                    //gridProductExi.dataSource.read(
                    // {
                    //     SelectedProEXI: SelectedExi
                    // }
                    //    );

                },
            });
        }
    }
    function Edit_ArticleProperty(e) {

        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
        //$(e.container["0"].firstChild.children[2]).hide();
        //$(e.container["0"].firstChild.children[3]).hide();

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن ویژگی"
            });
        } else {
            kendoWindow.setOptions({
                title: "ویرایش ویژگی"
            });
        }

    }
    function SelectTab(e) {

    }
    function SetValue_Editore(e) {

        console.log(e.item.context.innerHTML)
        if (e.item.context.innerHTML.split("-")[1].includes("انتخاب ویژگی")) {

        }
        else {
            var editor = $("#ArticleContent_ArticleContent").data("kendoEditor");
            console.log(editor)

            if (e.item.context.innerHTML.split("-")[1].includes("شماره شناسنامه") ||
                e.item.context.innerHTML.split("-")[1].includes("شماره ملی") ||
                e.item.context.innerHTML.split("-")[1].includes("کد پستی") ||
                e.item.context.innerHTML.split("-")[1].includes("شماره تماس") ||
                e.item.context.innerHTML.split("-")[1].includes("شناسه ملی") ||
                e.item.context.innerHTML.split("-")[1].includes("شماره ثبت") ||
                e.item.context.innerHTML.split("-")[1].includes("شماره کد اقتصادی") ||
                e.item.context.innerHTML.split("-")[1].includes("مقدار حق الزحمه") ||
                e.item.context.innerHTML.split("-")[1].includes("مبلغ قرارداد") ||
                e.item.context.innerHTML.split("-")[1].includes("درصد مبلغ پرداختی") ||
                e.item.context.innerHTML.split("-")[1].includes("حقوق پایه") ||
                e.item.context.innerHTML.split("-")[1].includes("حق اولاد") ||
                e.item.context.innerHTML.split("-")[1].includes("کد اقتصادی")) {
                editor.exec("inserthtml", { value: " <input type='Number' id='" + "prop-" + e.item.context.innerHTML.split("-")[2].trim() + "-" + e.item.context.innerHTML.split("-")[0].trim() + "'placeholder = '" + e.item.context.innerHTML.split("-")[1].trim() + "'" + "/>" });
            }
            else {
                editor.exec("inserthtml", { value: " <input type='text' id='" + "prop-" + e.item.context.innerHTML.split("-")[2].trim() + "-" + e.item.context.innerHTML.split("-")[0].trim() + "'placeholder = '" + e.item.context.innerHTML.split("-")[1].trim() + "'" + "/>" });
            }

        }

    }
    function Edit_Question(e) {

        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
        $(e.container["0"].firstChild.children[2]).hide();
        $(e.container["0"].firstChild.children[3]).hide();
        $(e.container["0"].firstChild.children[4]).hide();
        $(e.container["0"].firstChild.children[5]).hide();
        $(e.container["0"].firstChild.children[8]).hide();
        $(e.container["0"].firstChild.children[9]).hide();
        $(e.container["0"].firstChild.children[10]).hide();
        $(e.container["0"].firstChild.children[11]).hide();
        $(e.container["0"].firstChild.children[13]).addClass("checkBoxSize");
        $(e.container["0"].firstChild.children[15]).addClass("checkBoxSize");

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن سوال"
            });
        } else {
            kendoWindow.setOptions({
                title: "ویرایش سوال"
            });
        }

    }
    function Edit_Answer(e) {

        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
        $(e.container["0"].firstChild.children[6]).hide();
        $(e.container["0"].firstChild.children[7]).hide();

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن پاسخ"
            });
        } else {
            kendoWindow.setOptions({
                title: "ویرایش پاسخ"
            });
        }
    }
    function SetArticle(e) {
        return {
            AI: $('#Current_ArticleId').val()
        }
    }
    function Set_Article_Id(e) {
        return {
            ArticleID: $('#ArticleID').data("kendoDropDownList").value()
        }
    }
    function myData(e) {
        return {
            AD: $('#Current_ArticleId').val(),
        }
    }
    function DetailExpand_Answer(e) {
        this.collapseRow(this.tbody.find(' > tr.k-master-row').not(e.masterRow));
    }
    function DataBound_Question(e) {
        var grid = this;
        grid.tbody.find("tr[role='row']").each(function (index, value) {
            var model = grid.dataItem(this);

            if (model.End) $(this).find("td:nth-child(4)").html('<i style= "color:green;vertical-align:middle;" class="material-icons">check_circle</i>')
            else {
                $(this).find("td:nth-child(4)").html('<i style= "color:red;vertical-align:middle;" class="material-icons">cancel</i>')
            }

            if (model.CheckBox) {
                $(this).find("td:nth-child(5)").html('<i style= "color:green;vertical-align:middle;" class="material-icons">done_all</i>')
                $(this).find("td.k-hierarchy-cell")[0].innerHTML = '<i title="سوال چک باکسی" class="material-icons" style="color:#00bcd4!important;position:absolute;right:33px;font-size:22px;">arrow_downward</i><a class="k-icon k-plus" href="#" tabindex="-1"></a>';
            }
            else {
                $(this).find("td:nth-child(5)").html('<i style= "color:red;vertical-align:middle;" class="material-icons">close</i>')
            }


            if (model.AnsID == null && index > 1) $(this).find("td.k-hierarchy-cell")[0].innerHTML = '<i title="سوال بعد از چک باکس" class="material-icons" style="color:#00bcd4!important;position:absolute;right:33px;font-size:22px;">arrow_upward</i><a class="k-icon k-plus" href="#" tabindex="-1"></a>';
        });
    }
    function Edit_RelatedArticle(e) {

        //$('iframe').contents().find("head")
        //    .append($("<style>@@font-face { font-family: 'YekanNumber'; src: url('../../Areas/Admin/font/yekannumbers-regular.woff') format('woff')}  @@font-face {font-family: IRANSans;font-style: normal;font-weight: 100; src: url('../../Areas/Admin/font/woff2/IRANSansWeb.woff2') format('woff')}  body{font-family:YekanNumber,IRANSans !important; font-size: 14px !important; line-height: 1.5;text-align: justify;padding: 14px 18px;overflow: hidden;} body p span{font-size: 16px !important;} body input{font-size: 14px !important;font-family:YekanNumber,IRANSans !important;border-bottom: 1px dashed #ccc;padding-right: 5px;direction:ltr}</style>"));



        $('iframe').contents().find("head")
            .append($("<style> body{font-size: 14px !important; line-height: 1.5;text-align: justify;padding: 14px 18px;overflow: hidden;} body p span{font-size: 16px !important;} body input{font-size: 14px !important;font-family:YekanNumber,IRANSans !important;border-bottom: 1px dashed #ccc;padding-right: 5px;text-align: center;}</style>"));



        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
        $(e.container["0"].firstChild.children[2]).hide();
        $(e.container["0"].firstChild.children[3]).hide();
        $(e.container["0"].firstChild.children[7]).addClass("INPUTSize");
        $(e.container["0"].firstChild.children[12]).hide();
        $(e.container["0"].firstChild.children[13]).hide();
        $(e.container["0"].firstChild.children[14]).addClass("customButtonSize");

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن وابستگی"
            });

        } else {
            kendoWindow.setOptions({
                title: "ویرایش وابستگی"
            });
        }
    }
    function setDataToEditor(e) {
        if ($('#Act').data("kendoDropDownList").value() == '1') {
            var editor = $("#NewContent").data("kendoEditor");
            var dropdownlist = $("#ArticleDetailID").data("kendoDropDownList");
            editor.value(dropdownlist.text());
            $("#NewContent").val(dropdownlist.text()).trigger('change');
        }
    }
    function Error(e) {
        if (e.errors) {
            var message = "خطای رخ داده:\n";
            $.each(e.errors, function (key, value) {
                if ('errors' in value) {
                    $.each(value.errors, function () {
                        message += this + "\n";
                    });
                }
            });
            alert(message);
        }
    }
    function SuccessContractImageUpload(e) {
        var imagePath = e.response.ContractImageName;
        $("#Image").val(imagePath).trigger("change");
    }
    function SuccessContractBannerUpload(e) {
        var imagePath = e.response.ContractBannerName;
        $("#Banner").val(imagePath).trigger("change");
    }
    function SuccessContractFileUpload(e) {
        console.log(e)
        var imagePath = e.response.ContractFileName;
        $("#File").val(imagePath).trigger("change");
    }
    function RemoveContractImage(e) {

    }
    function RemoveContractBanner(e) {

    }
    function DataBound_Answers_q(e) {
        var grid = this;
        grid.tbody.find("tr[role='row']").each(function (index, value) {
            var model = grid.dataItem(this);
            $(this).find('td').each(function (index, value) {
                if ($(this).text().includes(":") && $(this).text().includes("-")) {
                    var result = moment($(this).text(), 'YYYY-M-D HH:mm:ss')
                        .format('jYYYY/jM/jDD HH:mm:ss')
                    result = result.replace(' ', '\n');
                    $(this).text(result)
                }
            })
        });
    }
    function UploadContractBanner(e) {
        console.log(e)
    }

    function ArticleDetail_Content() {
        return {
            Content: $("#ArticleContent_ArticleContent").val()
        }
    }

    function Edit_Help(e) {

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن راهنما"
            });

        } else {
            kendoWindow.setOptions({
                title: "ویرایش راهنما"
            });
        }

        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
        $(e.container["0"].firstChild.children[2]).hide();
        $(e.container["0"].firstChild.children[3]).hide();
        $(e.container["0"].firstChild.children[6]).hide();
        $(e.container["0"].firstChild.children[7]).hide();
        $(e.container["0"].firstChild.children[8]).hide();
        $(e.container["0"].firstChild.children[9]).hide();


    }

    function Edit_CategoryAttach(e) {
        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن گروه"
            });

        } else {
            kendoWindow.setOptions({
                title: "ویرایش گروه"
            });
        }

        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
        $(e.container["0"].firstChild.children[4]).hide();
        $(e.container["0"].firstChild.children[5]).hide();
        $(e.container["0"].firstChild.children[6]).hide();
        $(e.container["0"].firstChild.children[7]).hide();

    }
</script>
